fetch('api/grafico.php')
  .then(response => response.json())
  .then(data => {

    var ctx = document.getElementById("myBarChart");

    new Chart(ctx, {
      type: 'bar',
      data: {
        labels: data.dias,
        datasets: [{
          label: "Total de Vendas (MZN)",
          data: data.totais,
          backgroundColor: "rgba(2,117,216,1)"
        }]
      },
      options: {
        scales: {
          yAxes: [{
            ticks: {
              beginAtZero: true
            }
          }]
        }
      }
    });

  })
  .catch(err => console.error("Erro no gráfico:", err));
